- Erste Schritte
- Authentication
- Scopes und Berechtigungen
- Plattformverwaltungs-APIs
Test Cloud-API-Handbuch
Rufen Sie die Prüfungsprotokolle für Ihre Organisation ab. Die APIs unterscheiden sich je nach Protokollierungserfahrung.
New Audit experience
The new Audit experience (Unified logs) uses these API endpoints and provides two scopes:
- Organisationsebene:
/orgaudit_/ - Mandantenebene:
/tenantaudit_/
Diese APIs geben Prüfungsinformationen über die UiPath-Dienste hinweg zurück, die in das einheitliche Framework integriert sind.
API-Endpunkt
For retrieving audit logs in the new Audit experience, you can use two different endpoints:
-
Metadaten: Ruft alle verfügbaren Prüfungsereignistypen ab, die als Hierarchie von Quellen, Kategorien und Aktivitäten strukturiert sind.
Umfang API-Endpunkt Organisationsebene GET{accessURL}/{org-name}/orgaudit_/api/query/sources
Ersetzen Sie {accessURL} in allen Endpunktpfaden durch die Basis-URL für Ihre Cloud-Plattform:
| Cloud Platform | Zugriffs-URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud Public Sector | https://govcloud.uipath.us/ |
| Test Cloud Dedicated. | https://{customURL}.dedicated.uipath.com/ |
| Mandantenebene | GET {accessURL}/{org-name}/{tenant-name}/tenantaudit_/api/query/sources |
Ersetzen Sie {accessURL} in allen Endpunktpfaden durch die Basis-URL für Ihre Cloud-Plattform:
| Cloud Platform | Zugriffs-URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud Public Sector | https://govcloud.uipath.us/ |
| Test Cloud Dedicated. | https://{customURL}.dedicated.uipath.com/ |
-
Ereignisse abfragen: Ruft Prüfungsereignisse für den angegebenen Scope mit erweiterter Filterung ab.
Umfang API-Endpunkt Organisationsebene GET{accessURL}/{org-name}/orgaudit_/api/query/events
Ersetzen Sie {accessURL} in allen Endpunktpfaden durch die Basis-URL für Ihre Cloud-Plattform:
| Cloud Platform | Zugriffs-URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud Public Sector | https://govcloud.uipath.us/ |
| Test Cloud Dedicated. | https://{customURL}.dedicated.uipath.com/ |
| Mandantenebene | GET``https://cloud.uipath.com/{org-name}/{tenant-name}/tenantaudit_/api/query/events |
Scopes
Erfordert einen der folgenden Scopes:
- PM.Audit
- PM.Audit.Read
Anforderungsheader
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
Abfrageparameter
| Parameter | Datentyp | Beschreibung |
|---|---|---|
from (optional) | DateTime | Beginn des Zeitintervalls. |
to (optional) | DateTime | Ende des Zeitintervalls. |
source (optional) | Array [Zeichenfolge] | Liste der Ereignisquellen (wie von der Metadaten- API zurückgegeben). |
target (optional) | Array [Zeichenfolge] | Liste der Ereigniskategorien. |
type (optional) | Array [Zeichenfolge] | Liste der Aktivitätstypen. |
userIds (optional) | Array [Zeichenfolge] | Liste der Benutzerbezeichner. |
searchTerm (optional) | String | Schlüsselwort oder Begriff, nach dem gesucht werden soll. |
status (optional) | Integer |
|
maxCount (optional) | Integer | Maximale Anzahl der zurückzugebenden Datensätze. |
Antworten
200 OK
Gibt ein JSON-Objekt zurück mit:
- Liste der Prüfungsereignisse
nextLink für die Paginierung mit neueren EreignissenpreviousLink für die Paginierung mit älteren Ereignissen
Beispielantwort
{
"auditEvents": [
{
"id": "string",
"createdOn": "2025-03-24T18:35:38.122Z",
"organizationId": "string",
"organizationName": "string",
"tenantId": "string",
"tenantName": "string",
"actorId": "string",
"actorName": "string",
"actorEmail": "string",
"eventType": "string",
"eventSource": "string",
"eventTarget": "string",
"eventDetails": "string",
"eventSummary": "string",
"status": 0,
"clientInfo": {
"ipAddress": "string",
"ipCountry": "string"
}
}
],
"next": "string",
"previous": "string"
}
{
"auditEvents": [
{
"id": "string",
"createdOn": "2025-03-24T18:35:38.122Z",
"organizationId": "string",
"organizationName": "string",
"tenantId": "string",
"tenantName": "string",
"actorId": "string",
"actorName": "string",
"actorEmail": "string",
"eventType": "string",
"eventSource": "string",
"eventTarget": "string",
"eventDetails": "string",
"eventSummary": "string",
"status": 0,
"clientInfo": {
"ipAddress": "string",
"ipCountry": "string"
}
}
],
"next": "string",
"previous": "string"
}
Beispielabfragen
- Organisationsebene
curl --location 'https://cloud.uipath.com/{org-name}/orgaudit_/api/query/events?status=0&from=2024-12-24T19%3A11%3A46.403Z&to=2025-03-24T19%3A11%3A46.403Z' \ --header 'Authorization: Bearer {token}'curl --location 'https://cloud.uipath.com/{org-name}/orgaudit_/api/query/events?status=0&from=2024-12-24T19%3A11%3A46.403Z&to=2025-03-24T19%3A11%3A46.403Z' \ --header 'Authorization: Bearer {token}' - Mandantenebene
curl --location 'https://cloud.uipath.com/{org-name}/{tenant-name}/tenantaudit_/api/query/events?status=0&from=2024-12-24T19%3A11%3A46.403Z&to=2025-03-24T19%3A11%3A46.403Z' \ --header 'Authorization: Bearer {token}'curl --location 'https://cloud.uipath.com/{org-name}/{tenant-name}/tenantaudit_/api/query/events?status=0&from=2024-12-24T19%3A11%3A46.403Z&to=2025-03-24T19%3A11%3A46.403Z' \ --header 'Authorization: Bearer {token}'
Klassische Erfahrung mit Protokollen
Ruft Prüfungsprotokolle für eine Organisation basierend auf ihrem Namen ab.
API-Endpunkt
GET {accessURL}/audit_/api/auditlogs/partitionGlobalId
Ersetzen Sie {accessURL} in allen Endpunktpfaden durch die Basis-URL für Ihre Cloud-Plattform:
| Cloud Platform | Zugriffs-URL |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud Public Sector | https://govcloud.uipath.us/ |
| Test Cloud Dedicated. | https://{customURL}.dedicated.uipath.com/ |
Scopes
Erfordert einen der folgenden Scopes:
- PM.Audit
- PM.Audit.Read
Anforderungsheader
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Abfrageparameter
| Abfrageparameter | Datentyp | Beschreibung |
|---|---|---|
language (optional) | string | Specify the available display language, in the shorten form. For example, en, fr, de, or ja. |
top (optional) | Int32 | Zeigen Sie die obersten N Einträge der Prüfung an. |
skip (optional) | Int32 | Überspringen Sie die Anzeige der obersten N Prüfungseinträge. |
sortBy (optional) | string | Specify the DTO property used to sort audit entries by. For example, createdOn, category, or email. |
sortOrder (optional) | string | Bestimmen Sie die Sortierreihenfolge. Zum Beispiel aufsteigend (asc) oder absteigend (desc). |
api-version (optional) | string | Geben Sie die von Ihnen verwendete API-Version an. |
Antworten
200 OK
Gibt die abgefragten Prüfungsereignisse zurück.
Beispielanforderung
Angenommen, Sie haben alle Informationen gesammelt, die zum Erstellen des API-Aufrufs erforderlich sind.
- Ihre
{baseURL}ist:https://cloud.uipath.com/{organizationName} - Ihre
{access_token}ist:1234(aus Gründen der Länge). - Sie legen die folgenden Abfrageparameter fest:
language=entop= 2, um die beiden obersten Einträge anzuzeigenskip= 2, um die ersten beiden Einträge zu überspringensortBy=createdOn, um die Einträge nach ihrem Erstellungsdatum zu sortierensortOrder=asc, um die Einträge vom ältesten bis zum neuesten Eintrag zu sortieren
Der Aufruf sollte dem folgenden Beispiel ähneln (cURL):
curl --location --request GET ' https://cloud.uipath.com/{organizationName}/audit_/api/auditlogs?language=en&top=2&skip=2&sortBy=createdOn&sortOrder=asc' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request GET ' https://cloud.uipath.com/{organizationName}/audit_/api/auditlogs?language=en&top=2&skip=2&sortBy=createdOn&sortOrder=asc' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
Hier ist der Antworttext für einen erfolgreichen Abruf von Prüfungseinträgen:
{
"totalCount": 29,
"results": [
{
"createdOn": "2021-10-14T13:10:15.1964174+00:00",
"category": "User",
"action": "Login",
"auditLogDetails": "{\r\n \"userName\": \"System Administrator admin\",\r\n \"email\": \"\"\r\n}",
"userName": "System Administrator",
"email": "",
"message": "User 'System Administrator admin' logged in",
"detailsVersion": "1.0",
"source": "Cis"
},
....
{
"createdOn": "2021-10-14T12:41:00.3268964+00:00",
"category": "User",
"action": "Login",
"auditLogDetails": "{\r\n \"userName\": \"System Administrator admin\",\r\n \"email\": \"\"\r\n}",
"userName": "System Administrator",
"email": "",
"message": "User 'System Administrator admin' logged in",
"detailsVersion": "1.0",
"source": "Cis"
}
]
}
{
"totalCount": 29,
"results": [
{
"createdOn": "2021-10-14T13:10:15.1964174+00:00",
"category": "User",
"action": "Login",
"auditLogDetails": "{\r\n \"userName\": \"System Administrator admin\",\r\n \"email\": \"\"\r\n}",
"userName": "System Administrator",
"email": "",
"message": "User 'System Administrator admin' logged in",
"detailsVersion": "1.0",
"source": "Cis"
},
....
{
"createdOn": "2021-10-14T12:41:00.3268964+00:00",
"category": "User",
"action": "Login",
"auditLogDetails": "{\r\n \"userName\": \"System Administrator admin\",\r\n \"email\": \"\"\r\n}",
"userName": "System Administrator",
"email": "",
"message": "User 'System Administrator admin' logged in",
"detailsVersion": "1.0",
"source": "Cis"
}
]
}